#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define majorver %(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	expect
Version		:	5.45.4
Release		:	16.2.0.rel%{?dist}
Summary		:	A program-script interaction and testing utility
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Public Domain
URL		:	http://sourceforge.net/projects/expect/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
Expect is a tcl application for automating and testing
interactive applications such as telnet, ftp, passwd, fsck,
rlogin, tip, etc. Expect makes it easy for a script to
control another program and interact with it.

This package contains expect and some scripts that use it.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc FAQ NEWS README
%{_bindir}/%{name}
%{_bindir}/auto%{name}
%{_bindir}/dislocate
%{_bindir}/ftp-rfc
%{_bindir}/kibitz
%{_bindir}/lpunlock
%{_bindir}/mkpasswd-%{name}
%{_bindir}/passmass
%{_bindir}/rftp
%{_bindir}/rlogin-cwd
%{_bindir}/timed-read
%{_bindir}/timed-run
%{_bindir}/unbuffer
%{_bindir}/weather
%{_bindir}/xkibitz
%{_libdir}/lib%{name}.so
%{_libdir}/%{name}%{version}/lib%{name}%{version}.so
%{_libdir}/%{name}%{version}/pkgIndex.tcl
%{_mandir}/man1/auto%{name}.1.gz
%{_mandir}/man1/dislocate.1.gz
%{_mandir}/man1/expect.1.gz
%{_mandir}/man1/kibitz.1.gz
%{_mandir}/man1/mkpasswd-%{name}.1.gz
%{_mandir}/man1/passmass.1.gz
%{_mandir}/man1/unbuffer.1.gz
%{_mandir}/man1/xkibitz.1.gz

#=============================================================================
%package		devel
Summary		:	A program-script interaction and testing utility

Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Expect is a tcl application for automating and testing
interactive applications such as telnet, ftp, passwd, fsck,
rlogin, tip, etc. Expect makes it easy for a script to
control another program and interact with it.
 
This package contains development files for the expect library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_mandir}/man3/libexpect.3.gz

#=============================================================================
%package		-n expectk
Summary		:	A program-script interaction and testing utility

Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		-n expectk
Expect is a tcl application for automating and testing
interactive applications such as telnet, ftp, passwd, fsck,
rlogin, tip, etc. Expect makes it easy for a script to
control another program and interact with it.
 
This package originally contained expectk and some scripts
that used it. As expectk was removed from upstream tarball
in expect-5.45, now the package contains just these scripts.
Please use tclsh with package require Tk and Expect instead
of expectk.

#-----------------------------------------------------------------------------
%files			-n expectk
%defattr(-,root,root,-)
%{_bindir}/multixterm
%{_bindir}/tknewsbiff
%{_bindir}/tkpasswd
%{_bindir}/xpstat
%{_mandir}/man1/multixterm.1.gz
%{_mandir}/man1/tknewsbiff.1.gz

#=============================================================================
%prep
%setup -q -n %{name}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

#autoreconf -f -i
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--with-tcl=%{_libdir}				\
	--with-tclinclude=%{_includedir}		\
	--enable-shared					\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

# rename mkpasswd, as it collides with more powerful variant
#from whois package

%{__mv}							\
	%{buildroot}%{_bindir}/mkpasswd			\
	%{buildroot}%{_bindir}/mkpasswd-expect

%{__mv}							\
	%{buildroot}%{_mandir}/man1/mkpasswd.1		\
	%{buildroot}%{_mandir}/man1/mkpasswd-expect.1

sed -i							\
  -e "s/mkpasswd/mkpasswd-expect/g"			\
  -e "s/MKPASSWD/MKPASSWD-EXPECT/g"			\
  %{buildroot}%{_mandir}/man1/mkpasswd-expect.1

sed -i							\
  -e "s/mkpasswd/mkpasswd-expect/g"			\
  %{buildroot}%{_bindir}/mkpasswd-expect
	

#remove cryptdir/decryptdir, as Linux has no crypt command
%{__rm} -f %{buildroot}%{_bindir}/{cryptdir,decryptdir}
%{__rm} -f %{buildroot}%{_mandir}/man1/{cryptdir,decryptdir}.1*
%{__rm} -f %{buildroot}%{_bindir}/autopasswd

%{__ln_s}						\
	%{name}%{version}/libexpect%{version}.so	\
	%{buildroot}%{_libdir}/libexpect.so

#-----------------------------------------------------------------------------
%changelog
